安装ruby 1.9.2 for octopress

Modified on: Sun, 10 Jun 2018 01:33:53 +0800

所以,我正在尝试安装Octopress。我需要红宝石1.9.2。看起来像sudo apt-get install ruby想要安装ruby 1.8。我已经读过RVM是一个很好的方法。但它看起来相当过分,因为我不希望除了八爪鱼所需的其他东西之外还要使用其他东西。我有其他选择吗?

我使用自己安装的TeXlive 2011,但我喜欢在那里更新。对于红宝石,我实际上只想要它用于Octopress,所以如果我可以避免它,我真的不想单独处理维护。我更喜欢sudo apt-get update会为我处理它。

我知道有PPA。但问题是,有PPA的加载。我如何选择值得信赖的人?

最佳答案

请注意我在Ubuntu 12.04上写这个,但这应该适用于11.10
打开终端,然后安装ruby1.9.1-fullrakegit包。

  

sudo apt-get install ruby​​1.9.1-full git rake

使用

安装bundler gem

  

sudo gem install bundler

然后,下载octopress的副本。

  

git clone git://github.com/imathis/octopress.git octopress

进入octopress目录,然后运行

  

捆绑安装

您可能需要输入密码才能安装宝石,如下所示:

  

$ bundle install

  
  

获取http://rubygems.org/

的源索引
  
  

输入您的密码以将捆绑的RubyGems安装到您的系统:

然后,只需按照octopress docs上的说明进行操作即可进行设置!享受八旬节!

请注意,在您通常键入“rake”的位置,您需要输入rake1.9.1。一旦我找到解决办法,我会更新这个。

作者:jrg

相关问答

添加新评论